Subject: RE: [PATCH v2 GSoC RFC] diff: allow "-" as a short-hand for "last branch"

From: mash <[email-masked]>
Date: Fri, 10 Mar 2017 04:52:07 +0000

> From the discussion over the different versions of my patch, I get
> the feeling that enabling this shorthand for all the commands is the
> direction that git wants to move in.

Interesting.

> Sorry about the time you spent on this patch.

Don't worry about it. I just seem to be too stupid to search through the
mailing list archive properly.

Maybe you can reuse the diff tests. I'll do another microproject then.

mash

The original message doesn't seem to cc the mailing list:
> Hey, I have already worked on this, and I made the change inside
> sha1_name.c.

> The final version of my patch is here[1].

> > Handling the dash in sha1_name:get_sha1_basic is not an issue but git
> > was designed with the dash in mind for options not for this weird
> > short-hand so as long as there's no decision made that git should
> > actually have this short-hand everywhere it does not seem like a good
> > idea to change anything in there because it would probably have
> > unwanted side-effects.

> Actually, this was discussed even when I was working on this patch.

> I said [2]

> > Making a change in sha1_name.c will touch a lot of commands
> > (setup_revisions is called from everywhere in the codebase), so, I am
> > still trying to figure out how to do this such that the rest of the
> > codepath remains unchanged.

> Matthieu replied to this [3]

> > I don't have strong opinion on this: I tend to favor consistency and
> > supporting "-" everywhere goes in this direction, but I think the
> > downsides should be considered too. A large part of the exercice here
> > is to write a good commit message!

> From the discussion over the different versions of my patch, I get
> the feeling that enabling this shorthand for all the commands is the
> direction that git wants to move in.

> Sorry about the time you spent on this patch.

> [1]: http://public-inbox.org/git/[email-masked]/
> [2]: https://public-inbox.org/git/[email-masked]/
> [3]: https://public-inbox.org/git/[email-masked]/

> Thanks,
> Siddharth.